/*! \file ald-cclient.h
 * \brief Объявление C интерфейса взаимодействия с RPC сервером
 * \ingroup ALDCClient_group
 */

#include "ald-rpc.h"

/*! \defgroup ALDCClient_group C интерфейс взаимодействия с RPC сервером (ald-cclient.h)
 * \brief C интерфейс взаимодействия с RPC сервером
 * \ingroup IALDRpcWrapper_group
 * @{
 */

#ifdef __cplusplus
extern "C" {
#endif

/* send local request to ALDD */
/*! \brief Выполнение локального запроса к RPC серверу
 * @param[in] request RPC запрос
 * @param[in] response Длина буфера для RPC ответа
 * @param[in] reslen Длина буфера для RPC ответа
 * @param[out] lpcerr Сообщение об ошибке
 * @returns Код ошибки
 */
extern int ald_lpc_call(const char *request, char* response, unsigned long reslen, char** lpcerr);

#ifdef __cplusplus
}
#endif

/*! @} */
